Package org.eclipse.m2m.atl.common.OCL.util

# Class OCLSwitch<T>

java.lang.Object
org.eclipse.m2m.atl.common.OCL.util.OCLSwitch<T>

public class OCLSwitch<T> extends Object
The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  - `OCLPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static OCLPackage`
`modelPackage`
The cached model package

## Constructor Summary

Constructors
Constructor
Description
`OCLSwitch()`
Creates an instance of the switch.

## Method Summary

Modifier and Type
Method
Description
`T`
`caseAttribute(Attribute object)`
Returns the result of interpreting the object as an instance of 'Attribute'.
`T`
`caseBagExp(BagExp object)`
Returns the result of interpreting the object as an instance of 'Bag Exp'.
`T`
`caseBagType(BagType object)`
Returns the result of interpreting the object as an instance of 'Bag Type'.
`T`
`caseBooleanExp(BooleanExp object)`
Returns the result of interpreting the object as an instance of 'Boolean Exp'.
`T`
`caseBooleanType(BooleanType object)`
Returns the result of interpreting the object as an instance of 'Boolean Type'.
`T`
`caseCollectionExp(CollectionExp object)`
Returns the result of interpreting the object as an instance of 'Collection Exp'.
`T`
`caseCollectionOperationCallExp(CollectionOperationCallExp object)`
Returns the result of interpreting the object as an instance of 'Collection Operation Call Exp'.
`T`
`caseCollectionType(CollectionType object)`
Returns the result of interpreting the object as an instance of 'Collection Type'.
`T`
`caseEnumLiteralExp(EnumLiteralExp object)`
Returns the result of interpreting the object as an instance of 'Enum Literal Exp'.
`T`
`caseIfExp(IfExp object)`
Returns the result of interpreting the object as an instance of 'If Exp'.
`T`
`caseIntegerExp(IntegerExp object)`
Returns the result of interpreting the object as an instance of 'Integer Exp'.
`T`
`caseIntegerType(IntegerType object)`
Returns the result of interpreting the object as an instance of 'Integer Type'.
`T`
`caseIterateExp(IterateExp object)`
Returns the result of interpreting the object as an instance of 'Iterate Exp'.
`T`
`caseIterator(Iterator object)`
Returns the result of interpreting the object as an instance of 'Iterator'.
`T`
`caseIteratorExp(IteratorExp object)`
Returns the result of interpreting the object as an instance of 'Iterator Exp'.
`T`
`caseLetExp(LetExp object)`
Returns the result of interpreting the object as an instance of 'Let Exp'.
`T`
`caseLocatedElement(LocatedElement object)`
Returns the result of interpreting the object as an instance of 'Located Element'.
`T`
`caseLoopExp(LoopExp object)`
Returns the result of interpreting the object as an instance of 'Loop Exp'.
`T`
`caseMapElement(MapElement object)`
Returns the result of interpreting the object as an instance of 'Map Element'.
`T`
`caseMapExp(MapExp object)`
Returns the result of interpreting the object as an instance of 'Map Exp'.
`T`
`caseMapType(MapType object)`
Returns the result of interpreting the object as an instance of 'Map Type'.
`T`
`caseNavigationOrAttributeCallExp(NavigationOrAttributeCallExp object)`
Returns the result of interpreting the object as an instance of 'Navigation Or Attribute Call Exp'.
`T`
`caseNumericExp(NumericExp object)`
Returns the result of interpreting the object as an instance of 'Numeric Exp'.
`T`
`caseNumericType(NumericType object)`
Returns the result of interpreting the object as an instance of 'Numeric Type'.
`T`
`caseOclAnyType(OclAnyType object)`
Returns the result of interpreting the object as an instance of 'Ocl Any Type'.
`T`
`caseOclContextDefinition(OclContextDefinition object)`
Returns the result of interpreting the object as an instance of 'Ocl Context Definition'.
`T`
`caseOclExpression(OclExpression object)`
Returns the result of interpreting the object as an instance of 'Ocl Expression'.
`T`
`caseOclFeature(OclFeature object)`
Returns the result of interpreting the object as an instance of 'Ocl Feature'.
`T`
`caseOclFeatureDefinition(OclFeatureDefinition object)`
Returns the result of interpreting the object as an instance of 'Ocl Feature Definition'.
`T`
`caseOclModel(OclModel object)`
Returns the result of interpreting the object as an instance of 'Ocl Model'.
`T`
`caseOclModelElement(OclModelElement object)`
Returns the result of interpreting the object as an instance of 'Ocl Model Element'.
`T`
`caseOclType(OclType object)`
Returns the result of interpreting the object as an instance of 'Ocl Type'.
`T`
`caseOclUndefinedExp(OclUndefinedExp object)`
Returns the result of interpreting the object as an instance of 'Ocl Undefined Exp'.
`T`
`caseOperation(Operation object)`
Returns the result of interpreting the object as an instance of 'Operation'.
`T`
`caseOperationCallExp(OperationCallExp object)`
Returns the result of interpreting the object as an instance of 'Operation Call Exp'.
`T`
`caseOperatorCallExp(OperatorCallExp object)`
Returns the result of interpreting the object as an instance of 'Operator Call Exp'.
`T`
`caseOrderedSetExp(OrderedSetExp object)`
Returns the result of interpreting the object as an instance of 'Ordered Set Exp'.
`T`
`caseOrderedSetType(OrderedSetType object)`
Returns the result of interpreting the object as an instance of 'Ordered Set Type'.
`T`
`caseParameter(Parameter object)`
Returns the result of interpreting the object as an instance of 'Parameter'.
`T`
`casePrimitive(Primitive object)`
Returns the result of interpreting the object as an instance of 'Primitive'.
`T`
`casePrimitiveExp(PrimitiveExp object)`
Returns the result of interpreting the object as an instance of 'Primitive Exp'.
`T`
`casePropertyCallExp(PropertyCallExp object)`
Returns the result of interpreting the object as an instance of 'Property Call Exp'.
`T`
`caseRealExp(RealExp object)`
Returns the result of interpreting the object as an instance of 'Real Exp'.
`T`
`caseRealType(RealType object)`
Returns the result of interpreting the object as an instance of 'Real Type'.
`T`
`caseSequenceExp(SequenceExp object)`
Returns the result of interpreting the object as an instance of 'Sequence Exp'.
`T`
`caseSequenceType(SequenceType object)`
Returns the result of interpreting the object as an instance of 'Sequence Type'.
`T`
`caseSetExp(SetExp object)`
Returns the result of interpreting the object as an instance of 'Set Exp'.
`T`
`caseSetType(SetType object)`
Returns the result of interpreting the object as an instance of 'Set Type'.
`T`
`caseStringExp(StringExp object)`
Returns the result of interpreting the object as an instance of 'String Exp'.
`T`
`caseStringType(StringType object)`
Returns the result of interpreting the object as an instance of 'String Type'.
`T`
`caseSuperExp(SuperExp object)`
Returns the result of interpreting the object as an instance of 'Super Exp'.
`T`
`caseTupleExp(TupleExp object)`
Returns the result of interpreting the object as an instance of 'Tuple Exp'.
`T`
`caseTuplePart(TuplePart object)`
Returns the result of interpreting the object as an instance of 'Tuple Part'.
`T`
`caseTupleType(TupleType object)`
Returns the result of interpreting the object as an instance of 'Tuple Type'.
`T`
`caseTupleTypeAttribute(TupleTypeAttribute object)`
Returns the result of interpreting the object as an instance of 'Tuple Type Attribute'.
`T`
`caseVariableDeclaration(VariableDeclaration object)`
Returns the result of interpreting the object as an instance of 'Variable Declaration'.
`T`
`caseVariableExp(VariableExp object)`
Returns the result of interpreting the object as an instance of 'Variable Exp'.
`T`
`defaultCase(org.eclipse.emf.ecore.EObject object)`
Returns the result of interpreting the object as an instance of 'EObject'.
`protected T`
`doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`protected T`
`doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
`T`
`doSwitch(org.eclipse.emf.ecore.EObject theEObject)`
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### modelPackage

protected static OCLPackage modelPackage
The cached model package

## Constructor Details

### OCLSwitch

public OCLSwitch()
Creates an instance of the switch.

## Method Details

### doSwitch

public T doSwitch(org.eclipse.emf.ecore.EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.

### doSwitch

protected T doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.

### doSwitch

protected T doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)
Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.

### caseOclExpression

public T caseOclExpression(OclExpression object)
Returns the result of interpreting the object as an instance of 'Ocl Expression'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Expression'.
See Also:
  - `doSwitch(EObject)`

### caseVariableExp

public T caseVariableExp(VariableExp object)
Returns the result of interpreting the object as an instance of 'Variable Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Variable Exp'.
See Also:
  - `doSwitch(EObject)`

### caseSuperExp

public T caseSuperExp(SuperExp object)
Returns the result of interpreting the object as an instance of 'Super Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Super Exp'.
See Also:
  - `doSwitch(EObject)`

### casePrimitiveExp

public T casePrimitiveExp(PrimitiveExp object)
Returns the result of interpreting the object as an instance of 'Primitive Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Primitive Exp'.
See Also:
  - `doSwitch(EObject)`

### caseStringExp

public T caseStringExp(StringExp object)
Returns the result of interpreting the object as an instance of 'String Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'String Exp'.
See Also:
  - `doSwitch(EObject)`

### caseBooleanExp

public T caseBooleanExp(BooleanExp object)
Returns the result of interpreting the object as an instance of 'Boolean Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Boolean Exp'.
See Also:
  - `doSwitch(EObject)`

### caseNumericExp

public T caseNumericExp(NumericExp object)
Returns the result of interpreting the object as an instance of 'Numeric Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Numeric Exp'.
See Also:
  - `doSwitch(EObject)`

### caseRealExp

public T caseRealExp(RealExp object)
Returns the result of interpreting the object as an instance of 'Real Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Real Exp'.
See Also:
  - `doSwitch(EObject)`

### caseIntegerExp

public T caseIntegerExp(IntegerExp object)
Returns the result of interpreting the object as an instance of 'Integer Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Integer Exp'.
See Also:
  - `doSwitch(EObject)`

### caseCollectionExp

public T caseCollectionExp(CollectionExp object)
Returns the result of interpreting the object as an instance of 'Collection Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Collection Exp'.
See Also:
  - `doSwitch(EObject)`

### caseBagExp

public T caseBagExp(BagExp object)
Returns the result of interpreting the object as an instance of 'Bag Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Bag Exp'.
See Also:
  - `doSwitch(EObject)`

### caseOrderedSetExp

public T caseOrderedSetExp(OrderedSetExp object)
Returns the result of interpreting the object as an instance of 'Ordered Set Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ordered Set Exp'.
See Also:
  - `doSwitch(EObject)`

### caseSequenceExp

public T caseSequenceExp(SequenceExp object)
Returns the result of interpreting the object as an instance of 'Sequence Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Sequence Exp'.
See Also:
  - `doSwitch(EObject)`

### caseSetExp

public T caseSetExp(SetExp object)
Returns the result of interpreting the object as an instance of 'Set Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Set Exp'.
See Also:
  - `doSwitch(EObject)`

### caseTupleExp

public T caseTupleExp(TupleExp object)
Returns the result of interpreting the object as an instance of 'Tuple Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Tuple Exp'.
See Also:
  - `doSwitch(EObject)`

### caseTuplePart

public T caseTuplePart(TuplePart object)
Returns the result of interpreting the object as an instance of 'Tuple Part'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Tuple Part'.
See Also:
  - `doSwitch(EObject)`

### caseMapExp

public T caseMapExp(MapExp object)
Returns the result of interpreting the object as an instance of 'Map Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Map Exp'.
See Also:
  - `doSwitch(EObject)`

### caseMapElement

public T caseMapElement(MapElement object)
Returns the result of interpreting the object as an instance of 'Map Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Map Element'.
See Also:
  - `doSwitch(EObject)`

### caseEnumLiteralExp

public T caseEnumLiteralExp(EnumLiteralExp object)
Returns the result of interpreting the object as an instance of 'Enum Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Enum Literal Exp'.
See Also:
  - `doSwitch(EObject)`

### caseOclUndefinedExp

public T caseOclUndefinedExp(OclUndefinedExp object)
Returns the result of interpreting the object as an instance of 'Ocl Undefined Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Undefined Exp'.
See Also:
  - `doSwitch(EObject)`

### casePropertyCallExp

public T casePropertyCallExp(PropertyCallExp object)
Returns the result of interpreting the object as an instance of 'Property Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Property Call Exp'.
See Also:
  - `doSwitch(EObject)`

### caseNavigationOrAttributeCallExp

public T caseNavigationOrAttributeCallExp(NavigationOrAttributeCallExp object)
Returns the result of interpreting the object as an instance of 'Navigation Or Attribute Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Navigation Or Attribute Call Exp'.
See Also:
  - `doSwitch(EObject)`

### caseOperationCallExp

public T caseOperationCallExp(OperationCallExp object)
Returns the result of interpreting the object as an instance of 'Operation Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Operation Call Exp'.
See Also:
  - `doSwitch(EObject)`

### caseOperatorCallExp

public T caseOperatorCallExp(OperatorCallExp object)
Returns the result of interpreting the object as an instance of 'Operator Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Operator Call Exp'.
See Also:
  - `doSwitch(EObject)`

### caseCollectionOperationCallExp

public T caseCollectionOperationCallExp(CollectionOperationCallExp object)
Returns the result of interpreting the object as an instance of 'Collection Operation Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Collection Operation Call Exp'.
See Also:
  - `doSwitch(EObject)`

### caseLoopExp

public T caseLoopExp(LoopExp object)
Returns the result of interpreting the object as an instance of 'Loop Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Loop Exp'.
See Also:
  - `doSwitch(EObject)`

### caseIterateExp

public T caseIterateExp(IterateExp object)
Returns the result of interpreting the object as an instance of 'Iterate Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Iterate Exp'.
See Also:
  - `doSwitch(EObject)`

### caseIteratorExp

public T caseIteratorExp(IteratorExp object)
Returns the result of interpreting the object as an instance of 'Iterator Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Iterator Exp'.
See Also:
  - `doSwitch(EObject)`

### caseLetExp

public T caseLetExp(LetExp object)
Returns the result of interpreting the object as an instance of 'Let Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Let Exp'.
See Also:
  - `doSwitch(EObject)`

### caseIfExp

public T caseIfExp(IfExp object)
Returns the result of interpreting the object as an instance of 'If Exp'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'If Exp'.
See Also:
  - `doSwitch(EObject)`

### caseVariableDeclaration

public T caseVariableDeclaration(VariableDeclaration object)
Returns the result of interpreting the object as an instance of 'Variable Declaration'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Variable Declaration'.
See Also:
  - `doSwitch(EObject)`

### caseIterator

public T caseIterator(Iterator object)
Returns the result of interpreting the object as an instance of 'Iterator'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Iterator'.
See Also:
  - `doSwitch(EObject)`

### caseParameter

public T caseParameter(Parameter object)
Returns the result of interpreting the object as an instance of 'Parameter'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Parameter'.
See Also:
  - `doSwitch(EObject)`

### caseCollectionType

public T caseCollectionType(CollectionType object)
Returns the result of interpreting the object as an instance of 'Collection Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Collection Type'.
See Also:
  - `doSwitch(EObject)`

### caseOclType

public T caseOclType(OclType object)
Returns the result of interpreting the object as an instance of 'Ocl Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Type'.
See Also:
  - `doSwitch(EObject)`

### casePrimitive

public T casePrimitive(Primitive object)
Returns the result of interpreting the object as an instance of 'Primitive'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Primitive'.
See Also:
  - `doSwitch(EObject)`

### caseStringType

public T caseStringType(StringType object)
Returns the result of interpreting the object as an instance of 'String Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'String Type'.
See Also:
  - `doSwitch(EObject)`

### caseBooleanType

public T caseBooleanType(BooleanType object)
Returns the result of interpreting the object as an instance of 'Boolean Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Boolean Type'.
See Also:
  - `doSwitch(EObject)`

### caseNumericType

public T caseNumericType(NumericType object)
Returns the result of interpreting the object as an instance of 'Numeric Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Numeric Type'.
See Also:
  - `doSwitch(EObject)`

### caseIntegerType

public T caseIntegerType(IntegerType object)
Returns the result of interpreting the object as an instance of 'Integer Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Integer Type'.
See Also:
  - `doSwitch(EObject)`

### caseRealType

public T caseRealType(RealType object)
Returns the result of interpreting the object as an instance of 'Real Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Real Type'.
See Also:
  - `doSwitch(EObject)`

### caseBagType

public T caseBagType(BagType object)
Returns the result of interpreting the object as an instance of 'Bag Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Bag Type'.
See Also:
  - `doSwitch(EObject)`

### caseOrderedSetType

public T caseOrderedSetType(OrderedSetType object)
Returns the result of interpreting the object as an instance of 'Ordered Set Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ordered Set Type'.
See Also:
  - `doSwitch(EObject)`

### caseSequenceType

public T caseSequenceType(SequenceType object)
Returns the result of interpreting the object as an instance of 'Sequence Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Sequence Type'.
See Also:
  - `doSwitch(EObject)`

### caseSetType

public T caseSetType(SetType object)
Returns the result of interpreting the object as an instance of 'Set Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Set Type'.
See Also:
  - `doSwitch(EObject)`

### caseOclAnyType

public T caseOclAnyType(OclAnyType object)
Returns the result of interpreting the object as an instance of 'Ocl Any Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Any Type'.
See Also:
  - `doSwitch(EObject)`

### caseTupleType

public T caseTupleType(TupleType object)
Returns the result of interpreting the object as an instance of 'Tuple Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Tuple Type'.
See Also:
  - `doSwitch(EObject)`

### caseTupleTypeAttribute

public T caseTupleTypeAttribute(TupleTypeAttribute object)
Returns the result of interpreting the object as an instance of 'Tuple Type Attribute'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Tuple Type Attribute'.
See Also:
  - `doSwitch(EObject)`

### caseOclModelElement

public T caseOclModelElement(OclModelElement object)
Returns the result of interpreting the object as an instance of 'Ocl Model Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Model Element'.
See Also:
  - `doSwitch(EObject)`

### caseMapType

public T caseMapType(MapType object)
Returns the result of interpreting the object as an instance of 'Map Type'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Map Type'.
See Also:
  - `doSwitch(EObject)`

### caseOclFeatureDefinition

public T caseOclFeatureDefinition(OclFeatureDefinition object)
Returns the result of interpreting the object as an instance of 'Ocl Feature Definition'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Feature Definition'.
See Also:
  - `doSwitch(EObject)`

### caseOclContextDefinition

public T caseOclContextDefinition(OclContextDefinition object)
Returns the result of interpreting the object as an instance of 'Ocl Context Definition'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Context Definition'.
See Also:
  - `doSwitch(EObject)`

### caseOclFeature

public T caseOclFeature(OclFeature object)
Returns the result of interpreting the object as an instance of 'Ocl Feature'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Feature'.
See Also:
  - `doSwitch(EObject)`

### caseAttribute

public T caseAttribute(Attribute object)
Returns the result of interpreting the object as an instance of 'Attribute'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Attribute'.
See Also:
  - `doSwitch(EObject)`

### caseOperation

public T caseOperation(Operation object)
Returns the result of interpreting the object as an instance of 'Operation'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Operation'.
See Also:
  - `doSwitch(EObject)`

### caseOclModel

public T caseOclModel(OclModel object)
Returns the result of interpreting the object as an instance of 'Ocl Model'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Ocl Model'.
See Also:
  - `doSwitch(EObject)`

### caseLocatedElement

public T caseLocatedElement(LocatedElement object)
Returns the result of interpreting the object as an instance of 'Located Element'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Located Element'.
See Also:
  - `doSwitch(EObject)`

### defaultCase

public T defaultCase(org.eclipse.emf.ecore.EObject object)
Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  - `doSwitch(org.eclipse.emf.ecore.EObject)`